Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network90.167.120.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
90.167.120.0
Broadcast address
90.167.123.255
First usable
90.167.120.1
Last usable
90.167.123.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 5AA77800 · Integer 1520924672 to 1520925695
Reverse DNS zones
120.167.90.in-addr.arpa
121.167.90.in-addr.arpa
122.167.90.in-addr.arpa
123.167.90.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011010.10100111.01111000.0000000090.167.120.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network01011010.10100111.01111000.0000000090.167.120.0
Broadcast01011010.10100111.01111011.1111111190.167.123.255
Split into smaller subnets/29

90.167.120.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
190.167.120.0/2990.167.120.1 to 90.167.120.690.167.120.76
290.167.120.8/2990.167.120.9 to 90.167.120.1490.167.120.156
390.167.120.16/2990.167.120.17 to 90.167.120.2290.167.120.236
490.167.120.24/2990.167.120.25 to 90.167.120.3090.167.120.316
590.167.120.32/2990.167.120.33 to 90.167.120.3890.167.120.396
690.167.120.40/2990.167.120.41 to 90.167.120.4690.167.120.476
790.167.120.48/2990.167.120.49 to 90.167.120.5490.167.120.556
890.167.120.56/2990.167.120.57 to 90.167.120.6290.167.120.636
990.167.120.64/2990.167.120.65 to 90.167.120.7090.167.120.716
1090.167.120.72/2990.167.120.73 to 90.167.120.7890.167.120.796
1190.167.120.80/2990.167.120.81 to 90.167.120.8690.167.120.876
1290.167.120.88/2990.167.120.89 to 90.167.120.9490.167.120.956
1390.167.120.96/2990.167.120.97 to 90.167.120.10290.167.120.1036
1490.167.120.104/2990.167.120.105 to 90.167.120.11090.167.120.1116
1590.167.120.112/2990.167.120.113 to 90.167.120.11890.167.120.1196
1690.167.120.120/2990.167.120.121 to 90.167.120.12690.167.120.1276
1790.167.120.128/2990.167.120.129 to 90.167.120.13490.167.120.1356
1890.167.120.136/2990.167.120.137 to 90.167.120.14290.167.120.1436
1990.167.120.144/2990.167.120.145 to 90.167.120.15090.167.120.1516
2090.167.120.152/2990.167.120.153 to 90.167.120.15890.167.120.1596
2190.167.120.160/2990.167.120.161 to 90.167.120.16690.167.120.1676
2290.167.120.168/2990.167.120.169 to 90.167.120.17490.167.120.1756
2390.167.120.176/2990.167.120.177 to 90.167.120.18290.167.120.1836
2490.167.120.184/2990.167.120.185 to 90.167.120.19090.167.120.1916
2590.167.120.192/2990.167.120.193 to 90.167.120.19890.167.120.1996
2690.167.120.200/2990.167.120.201 to 90.167.120.20690.167.120.2076
2790.167.120.208/2990.167.120.209 to 90.167.120.21490.167.120.2156
2890.167.120.216/2990.167.120.217 to 90.167.120.22290.167.120.2236
2990.167.120.224/2990.167.120.225 to 90.167.120.23090.167.120.2316
3090.167.120.232/2990.167.120.233 to 90.167.120.23890.167.120.2396
3190.167.120.240/2990.167.120.241 to 90.167.120.24690.167.120.2476
3290.167.120.248/2990.167.120.249 to 90.167.120.25490.167.120.2556
3390.167.121.0/2990.167.121.1 to 90.167.121.690.167.121.76
3490.167.121.8/2990.167.121.9 to 90.167.121.1490.167.121.156
3590.167.121.16/2990.167.121.17 to 90.167.121.2290.167.121.236
3690.167.121.24/2990.167.121.25 to 90.167.121.3090.167.121.316
3790.167.121.32/2990.167.121.33 to 90.167.121.3890.167.121.396
3890.167.121.40/2990.167.121.41 to 90.167.121.4690.167.121.476
3990.167.121.48/2990.167.121.49 to 90.167.121.5490.167.121.556
4090.167.121.56/2990.167.121.57 to 90.167.121.6290.167.121.636
4190.167.121.64/2990.167.121.65 to 90.167.121.7090.167.121.716
4290.167.121.72/2990.167.121.73 to 90.167.121.7890.167.121.796
4390.167.121.80/2990.167.121.81 to 90.167.121.8690.167.121.876
4490.167.121.88/2990.167.121.89 to 90.167.121.9490.167.121.956
4590.167.121.96/2990.167.121.97 to 90.167.121.10290.167.121.1036
4690.167.121.104/2990.167.121.105 to 90.167.121.11090.167.121.1116
4790.167.121.112/2990.167.121.113 to 90.167.121.11890.167.121.1196
4890.167.121.120/2990.167.121.121 to 90.167.121.12690.167.121.1276
4990.167.121.128/2990.167.121.129 to 90.167.121.13490.167.121.1356
5090.167.121.136/2990.167.121.137 to 90.167.121.14290.167.121.1436
5190.167.121.144/2990.167.121.145 to 90.167.121.15090.167.121.1516
5290.167.121.152/2990.167.121.153 to 90.167.121.15890.167.121.1596
5390.167.121.160/2990.167.121.161 to 90.167.121.16690.167.121.1676
5490.167.121.168/2990.167.121.169 to 90.167.121.17490.167.121.1756
5590.167.121.176/2990.167.121.177 to 90.167.121.18290.167.121.1836
5690.167.121.184/2990.167.121.185 to 90.167.121.19090.167.121.1916
5790.167.121.192/2990.167.121.193 to 90.167.121.19890.167.121.1996
5890.167.121.200/2990.167.121.201 to 90.167.121.20690.167.121.2076
5990.167.121.208/2990.167.121.209 to 90.167.121.21490.167.121.2156
6090.167.121.216/2990.167.121.217 to 90.167.121.22290.167.121.2236
6190.167.121.224/2990.167.121.225 to 90.167.121.23090.167.121.2316
6290.167.121.232/2990.167.121.233 to 90.167.121.23890.167.121.2396
6390.167.121.240/2990.167.121.241 to 90.167.121.24690.167.121.2476
6490.167.121.248/2990.167.121.249 to 90.167.121.25490.167.121.2556
6590.167.122.0/2990.167.122.1 to 90.167.122.690.167.122.76
6690.167.122.8/2990.167.122.9 to 90.167.122.1490.167.122.156
6790.167.122.16/2990.167.122.17 to 90.167.122.2290.167.122.236
6890.167.122.24/2990.167.122.25 to 90.167.122.3090.167.122.316
6990.167.122.32/2990.167.122.33 to 90.167.122.3890.167.122.396
7090.167.122.40/2990.167.122.41 to 90.167.122.4690.167.122.476
7190.167.122.48/2990.167.122.49 to 90.167.122.5490.167.122.556
7290.167.122.56/2990.167.122.57 to 90.167.122.6290.167.122.636
7390.167.122.64/2990.167.122.65 to 90.167.122.7090.167.122.716
7490.167.122.72/2990.167.122.73 to 90.167.122.7890.167.122.796
7590.167.122.80/2990.167.122.81 to 90.167.122.8690.167.122.876
7690.167.122.88/2990.167.122.89 to 90.167.122.9490.167.122.956
7790.167.122.96/2990.167.122.97 to 90.167.122.10290.167.122.1036
7890.167.122.104/2990.167.122.105 to 90.167.122.11090.167.122.1116
7990.167.122.112/2990.167.122.113 to 90.167.122.11890.167.122.1196
8090.167.122.120/2990.167.122.121 to 90.167.122.12690.167.122.1276
8190.167.122.128/2990.167.122.129 to 90.167.122.13490.167.122.1356
8290.167.122.136/2990.167.122.137 to 90.167.122.14290.167.122.1436
8390.167.122.144/2990.167.122.145 to 90.167.122.15090.167.122.1516
8490.167.122.152/2990.167.122.153 to 90.167.122.15890.167.122.1596
8590.167.122.160/2990.167.122.161 to 90.167.122.16690.167.122.1676
8690.167.122.168/2990.167.122.169 to 90.167.122.17490.167.122.1756
8790.167.122.176/2990.167.122.177 to 90.167.122.18290.167.122.1836
8890.167.122.184/2990.167.122.185 to 90.167.122.19090.167.122.1916
8990.167.122.192/2990.167.122.193 to 90.167.122.19890.167.122.1996
9090.167.122.200/2990.167.122.201 to 90.167.122.20690.167.122.2076
9190.167.122.208/2990.167.122.209 to 90.167.122.21490.167.122.2156
9290.167.122.216/2990.167.122.217 to 90.167.122.22290.167.122.2236
9390.167.122.224/2990.167.122.225 to 90.167.122.23090.167.122.2316
9490.167.122.232/2990.167.122.233 to 90.167.122.23890.167.122.2396
9590.167.122.240/2990.167.122.241 to 90.167.122.24690.167.122.2476
9690.167.122.248/2990.167.122.249 to 90.167.122.25490.167.122.2556
9790.167.123.0/2990.167.123.1 to 90.167.123.690.167.123.76
9890.167.123.8/2990.167.123.9 to 90.167.123.1490.167.123.156
9990.167.123.16/2990.167.123.17 to 90.167.123.2290.167.123.236
10090.167.123.24/2990.167.123.25 to 90.167.123.3090.167.123.316
10190.167.123.32/2990.167.123.33 to 90.167.123.3890.167.123.396
10290.167.123.40/2990.167.123.41 to 90.167.123.4690.167.123.476
10390.167.123.48/2990.167.123.49 to 90.167.123.5490.167.123.556
10490.167.123.56/2990.167.123.57 to 90.167.123.6290.167.123.636
10590.167.123.64/2990.167.123.65 to 90.167.123.7090.167.123.716
10690.167.123.72/2990.167.123.73 to 90.167.123.7890.167.123.796
10790.167.123.80/2990.167.123.81 to 90.167.123.8690.167.123.876
10890.167.123.88/2990.167.123.89 to 90.167.123.9490.167.123.956
10990.167.123.96/2990.167.123.97 to 90.167.123.10290.167.123.1036
11090.167.123.104/2990.167.123.105 to 90.167.123.11090.167.123.1116
11190.167.123.112/2990.167.123.113 to 90.167.123.11890.167.123.1196
11290.167.123.120/2990.167.123.121 to 90.167.123.12690.167.123.1276
11390.167.123.128/2990.167.123.129 to 90.167.123.13490.167.123.1356
11490.167.123.136/2990.167.123.137 to 90.167.123.14290.167.123.1436
11590.167.123.144/2990.167.123.145 to 90.167.123.15090.167.123.1516
11690.167.123.152/2990.167.123.153 to 90.167.123.15890.167.123.1596
11790.167.123.160/2990.167.123.161 to 90.167.123.16690.167.123.1676
11890.167.123.168/2990.167.123.169 to 90.167.123.17490.167.123.1756
11990.167.123.176/2990.167.123.177 to 90.167.123.18290.167.123.1836
12090.167.123.184/2990.167.123.185 to 90.167.123.19090.167.123.1916
12190.167.123.192/2990.167.123.193 to 90.167.123.19890.167.123.1996
12290.167.123.200/2990.167.123.201 to 90.167.123.20690.167.123.2076
12390.167.123.208/2990.167.123.209 to 90.167.123.21490.167.123.2156
12490.167.123.216/2990.167.123.217 to 90.167.123.22290.167.123.2236
12590.167.123.224/2990.167.123.225 to 90.167.123.23090.167.123.2316
12690.167.123.232/2990.167.123.233 to 90.167.123.23890.167.123.2396
12790.167.123.240/2990.167.123.241 to 90.167.123.24690.167.123.2476
12890.167.123.248/2990.167.123.249 to 90.167.123.25490.167.123.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses